# Uses of Interface
org.bukkit.inventory.meta.FireworkMeta

Packages that use FireworkMeta
Package
Description
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.inventory.meta
The interfaces used when manipulating extra data can can be stored inside `item stacks`.

## Uses of FireworkMeta in org.bukkit.entity

Methods in org.bukkit.entity that return FireworkMeta
Modifier and Type
Method
Description
`@NotNull FireworkMeta`
Firework.`getFireworkMeta()`
Get a copy of the fireworks meta
Methods in org.bukkit.entity with parameters of type FireworkMeta
Modifier and Type
Method
Description
`void`
Firework.`setFireworkMeta(@NotNull FireworkMeta meta)`
Apply the provided meta to the fireworks

## Uses of FireworkMeta in org.bukkit.inventory.meta

Methods in org.bukkit.inventory.meta that return FireworkMeta
Modifier and Type
Method
Description
`@NotNull FireworkMeta`
FireworkMeta.`clone()`